<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net8.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
        <RootNamespace>zotanpw</RootNamespace>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="linq2db" Version="5.4.0" />
        <PackageReference Include="Markdig" Version="0.36.2" />
        <PackageReference Include="Microsoft.AspNetCore.Mvc.Razor.RuntimeCompilation" Version="8.0.3" />
        <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="8.0.2" />
        <PackageReference Include="System.Data.SQLite" Version="1.0.115" />
        <PackageReference Include="System.Data.SQLite.Core.osx.arm64" Version="1.0.117" />
        <PackageReference Include="System.ServiceModel.Syndication" Version="8.0.0" />
        <PackageReference Include="YamlDotNet" Version="15.1.2" />
    </ItemGroup>

    <ItemGroup>
        <None Remove=".gitignore" />
        <None Remove=".bearer_token" />
        <None Remove="database.db" />
    </ItemGroup>

    <Target Name="SetSourceRevisionId" BeforeTargets="InitializeSourceControlInformation">
        <Exec Command="git describe --long --always --dirty --exclude=* --abbrev=8" ConsoleToMSBuild="True" IgnoreExitCode="False">
            <Output PropertyName="SourceRevisionId" TaskParameter="ConsoleOutput" />
        </Exec>
    </Target>

</Project>
